Forgot your username?             Forgot your password?

Akeeba Release System

Akeeba Release System is a file download component, primarily designed to cater for the needs of developers. It includes time saving features, Chameleon skinning, excellent URLs out of the box, automatic download item naming and descriptions, RSS feeds, Joomla! 1.6 XML update streams and more.

The code is free, but support is not. You need to have a MINISUPPORT or AKEEBADELUXE subscription to request support for ARS through our support ticket system.

Download translation files directly from our CDN page

Stable 2.3.3

Maturity:
Stable
Released on:
Sunday, 09 March 2014 09:02
Viewed:
1122 times

This is a bugfix release. We recommend that all of our users upgrade.

IMPORTANT! This version requires PHP 5.3, 5.4 or 5.5 and Joomla! 2.5.6+ or 3.2.

General information

If you have a problem after or before installing the component please read our troubleshooting instructions page before posting a support request.

Release highlights

Now using the new MaxMind GeoLite2 Country database. You will need to install the optional "System - Akeeba GeoIP provider plugin", available for free from our site. There is a link in ARS' Control Panel page for your convenience.

Install from Web support. We have included all necessary code to support the new Install from Web feature present in Joomla! 3.2 and later versions. Your Joomla! 2.5 / 3.2 site can provision extensions installable by the Install from Web feature, be it free or paid versions.

PHP 5.3 or later is required

This version requires PHP 5.3, 5.4 or 5.5. The rationale behind this is explained in our statement of mid-February 2013. It won't install on hosts running PHP 5.2 or earlier. Moreover, due to the necessary Joomla! API changes found only in Joomla! 2.5.6 or later, this version will not install on Joomla! 2.5.5 or earlier versions. In any case, it will tell you exactly why it cannot be installed (minimum PHP or Joomla! version not satisfied).

Changelog

Bug fixes

  • [LOW] ARS Latest Release plugin: fixed broken link (stream_link and installfromweb)
  • [LOW] Fixed page headings
  • [LOW] RSS feeds broken for Category and Release view in some circumstances
  • [LOW] Update XML tag should have the name of the extension, not the URL alias
  • [LOW] frontend.css was not always loaded in the front-end
  • [LOW] gh-25 Fixed ordering under Joomla! 3.x
  • [MEDIUM] Download link in update stream always appends &dummy=my.zip (thanks Francesco & Hayden)
  • [MEDIUM] Wrong link for GeoIP update

New features

  • Automatic ordering of new releases and items towards the top to make it easier to reorder then using Joomla! 3's very buggy drag'n'drop reordering feature

Miscellaneous changes

  • AJAX ordering now shows the ordering in a textbox, to faciliate ordering without much frustration in Joomla! 3
  • CSRF protection for GeoIP update
  • Now using the built-in Joomla! extensions updater instead of Live Update to deliver updates
  • Only show a reminder to update the GeoIP database if it's older than two weeks

Take me to the downloads for this version

Stable 2.3.2

Maturity:
Stable
Released on:
Friday, 27 December 2013 10:14
Viewed:
1782 times

IMPORTANT! This version requires PHP 5.3 or 5.4 and Joomla! 2.5.6+ or 3.2.

This is a new features release. We recommend that all of our users upgrade.

If you have trouble upgrading, please consult our troubleshooting instructions page before posting a support request.

General information

If you have a problem after or before installing the component please read our troubleshooting instructions page before posting a support request.

Release highlights

Now using the new MaxMind GeoLite2 Country database. You will need to install the optional "System - Akeeba GeoIP provider plugin", available for free from our site. There is a link in ARS' Control Panel page for your convenience.

Install from Web support. We have included all necessary code to support the new Install from Web feature present in Joomla! 3.2 and later versions. Your Joomla! 2.5 / 3.2 site can provision extensions installable by the Install from Web feature, be it free or paid versions.

PHP 5.3 is required

This version requires PHP 5.3 or 5.4. The rationale behind this is explained in our statement of mid-February 2013. It won't install on hosts running PHP 5.2 or earlier. Moreover, due to the necessary Joomla! API changes found only in Joomla! 2.5.6 or later, this version will not install on Joomla! 2.5.5 or earlier versions. In any case, it will tell you exactly why it cannot be installed (minimum PHP or Joomla! version not satisfied).

Changelog

Bug fixes

  • [HIGH] The Install from Web integration is broken
  • [HIGH] The master XML update stream didn't have a closing tag
  • [LOW] MD5 and SHA1 sums are calculated even if they are filled in but the file size is not specified
  • [LOW] Sometimes the edit URL of an add-on download ID in the front-end was wrong

Take me to the downloads for this version

Stable 2.2.1

Maturity:
Stable
Released on:
Tuesday, 10 September 2013 14:57
Viewed:
1916 times

IMPORTANT! This version requires PHP 5.3 or 5.4 and Joomla! 2.5.6+, 3.1 or 3.2.

This is a new features release. Now ARS is much faster in the front-end, properly supports caching (Joomla!, CDNs and reverse proxies such as Varnish) and sports a new, Bootstrap interface. We recommend that all of our users upgrade.

If you have trouble upgrading, please consult our troubleshooting instructions page before posting a support request.

General information

If you have a problem after or before installing the component please read our troubleshooting instructions page before posting a support request.

Release highlights

The front-end interface was rewritten to make use of Bootstrap. Bootstrap is the third party CSS and Javascript framework upon which Joomla! 3's user interface is standardised.

ARS is now a speed daemon! We took plenty of time optimising and tweaking our PHP code and database queries. You'll notice a big performance boost on heavily trafficked and/or very big repositories. Further to that we made sure that you can use ARS successfully with Joomla!'s caching (even the Progressive caching), CDNs and reverse proxies (such as Varnish).

PHP 5.3 is required

This version requires PHP 5.3 or 5.4. The rationale behind this is explained in our statement of mid-February 2013. It won't install on hosts running PHP 5.2 or earlier. Moreover, due to the necessary Joomla! API changes found only in Joomla! 2.5.6 or later, this version will not install on Joomla! 2.5.5 or earlier versions. In any case, it will tell you exactly why it cannot be installed (minimum PHP or Joomla! version not satisfied).

Changelog

Critical bugs and important changes

  • An annoying –but harmless– fatal error was shown on upgrade from older versions

Take me to the downloads for this version

Stable 2.1.5

Maturity:
Stable
Released on:
Friday, 28 June 2013 08:14
Viewed:
2177 times

IMPORTANT! This version requires PHP 5.3 or later and Joomla! 2.5.6+ or 3.1. Please note that Joomla! 3.0 is no longer supported. We have stopped testing against it since April 2013, when Joomla! 3.1 was released. We strongly recommend Joomla! 3.0 users to upgrade to 3.1.

This is a bugfix and new features release. We recommend that all of our users upgrade.

If you have trouble upgrading, please consult our troubleshooting instructions page before posting a support request.

General information

If you have a problem after or before installing the component please read our troubleshooting instructions page before posting a support request.

PHP 5.3 is now required

This version requires PHP 5.3 or later. The rationale behind this is explained in our statement of mid-February 2013. It won't install on hosts running PHP 5.2 or earlier. Moreover, due to the necessary Joomla! API changes found only in Joomla! 2.5.6 or later, this version will not install on Joomla! 2.5.5 or earlier versions. In any case, it will tell you exactly why it cannot be installed (minimum PHP or Joomla! version not satisfied).

Changelog

Bug fixes

  • [LOW] "No access URL" not working
  • [LOW] ARS Latest Release plugin: the double quote is no longer a valid character in Joomla!, changed to single quote
  • [LOW] Misleading default text provided by the Joomla! core in the access level selection drop-down in Joomla! 3.0
  • [LOW] Pre-installation script would run the wrong SQL files on upgrade (normally not causing a problem, but still it's not the intended behaviour)
  • [LOW] Using a category ID was impossible in the ARS latest release content plugin

Take me to the downloads for this version

Stable 2.0.8

Maturity:
Stable
Released on:
Monday, 24 December 2012 06:02
Viewed:
4199 times

This is a bugfix and maintenance release. All of our users are kindly requested to update.

Highlights of this release

This release enables a hidden feature of ARS: its JSON API which allows remote access and manipulation of the repository. You can list, create, edit and delete categories, releases and items using a simple JSON API. At this point in time there is only one experimental implementation which we are using to push out new releases of our own software on our own site. As sson as we consider stable enough we're going to share it with you, allowing the developer among you to benefit from the same rapid release tools we are using ourselves.

Apart from that, this version includes two significant bug fixes. The first is a router regression which broke some SEF URLs. The other one is a long standing bug which prevented pagination in the Category and Release front-end views from working. We'd like to thank the users who reported those issues and helped us test the bug fixes.

Changelog

Bug fixes

  • [MEDIUM] Pagination limits (items per list) in Category and Release views were broken

Take me to the downloads for this version

Stable 2.0.0

Maturity:
Stable
Released on:
Monday, 30 July 2012 16:09
Viewed:
1413 times

This is the first release in our 2.0.x series. Akeeba Release System has been rewritten using FOF, the same framework used in the latest versions of our successful Akeeba Subscriptions, Akeeba Backup and Admin Tools software. Using FOF, Akeeba Release System is able to deliver a more robust feature set and imporove its reusability and extensibility.

This version is only compatible with Joomla! 2.5.1 and later and introduces experimental support for the upcoming Joomla! 3.0.

Changelog

! Rewritten to use the FOF framework
+ Support for resumable downloads (Range headers)
~ Overall stability improvements
# [LOW] The item alias would include dots and spaces when using files, causing trouble with the router
# [LOW] The Visual Group feature would not work properly on BleedingEdge Only and Normal Only views

Take me to the downloads for this version

Stable 1.1.3

Maturity:
Stable
Released on:
Monday, 28 May 2012 07:14
Viewed:
3771 times

Minor bug fixes

Changelog

New features

  • The supported platforms are now output to the update INI stream

Bug fixes

  • Content-Disposition should wrap the filename in double quotes when downloading files
  • The BleedingEdge styling preferences where not applied in the Latest Releases view

Take me to the downloads for this version

Stable 1.0.5

Maturity:
Stable
Released on:
Monday, 02 January 2012 10:44
Viewed:
2721 times

Akeeba Release System 1.0.5 fixes some minor issues discovered in the 1.0.4 stable release and introduces compatibility with Joomla! 2.5, the upcoming long term support release of the Joomla! CMS.

Bug fixes

  • Pagination did not work in the front-end
  • Pagination formatting issues in the front end, on Joomla! 1.7
  • Front-end pages included links to ../media for JS files, throwing a browser error (kudos to Davide T. for pointing it out)

Take me to the downloads for this version